Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Core::Input::Controllers::Paddle

struct Nes::Core::Input::Controllers::Paddle

Arkanoid controller.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Core::Input::Controllers::Paddle::PollCallback`

Field Summary
`uint` | `button`
`static PollCaller1< Paddle >` | `callback`
`uint` | `x`

Constructor Summary
`Paddle()`

Field Detail

### button

    public uint button;

### callback

    public static PollCaller1< Paddle > callback;

### x

    public uint x;

Constructor Detail

### Paddle

    public Paddle();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD